{
  "id": "onwheels",
  "title": {
    "en": "OnWheels",
    "de": "Auf Rädern",
    "fr": "OnWheels",
    "nl": "OnWheels",
    "nb_NO": "På hjul",
    "ca": "Sobre rodes",
    "pa_PK": "آن‌ویل",
    "es": "Sobre ruedas",
    "cs": "Na kolečkách",
    "eu": "Gurpil gainean",
    "pl": "Na kółkach",
    "ru": "Коляски",
    "uk": "На колесах",
    "ko": "휠체어 사용자 전용"
  },
  "description": {
    "en": "On this map, publicly weelchair accessible places are shown and can be easily added",
    "de": "Auf dieser Karte können Sie öffentlich zugängliche Orte für Rollstuhlfahrer ansehen, bearbeiten oder hinzufügen",
    "fr": "Sur cette carte nous pouvons voir et ajouter les différents endroits publiques accessibles aux chaises roulantes",
    "nl": "Op deze kaart kan je rolstoeltoegankelijke plaatsen vinden en toevoegen",
    "da": "På dette kort vises steder, der er offentligt tilgængelige for kørestolsbrugere, og de kan nemt tilføjes",
    "cs": "Na této mapě jsou zobrazena veřejně přístupná místa pro vozíčkáře, a lze je také snadno přidat",
    "es": "En este mapa, se muestran y se pueden agregar fácilmente lugares accesibles para sillas de ruedas",
    "ca": "En aquest mapa, es mostren llocs públics accessibles per a cadira de rodes i es poden afegir fàcilment",
    "pl": "Na tej mapie pokazane są miejsca publicznie dostępne dla wózków inwalidzkich, które można łatwo dodać",
    "it": "Su questa mappa sono indicati i luoghi pubblici accessibili con sedia a rotelle e possono essere facilmente aggiunti",
    "uk": "На цій мапі показані громадські місця, доступні для осіб в інвалідних візків, їх також можна легко додати",
    "ko": "이 지도에서는 공공 장소의 휠체어를 보여주고 쉽게 추가 가능합니다"
  },
  "icon": "./assets/themes/onwheels/crest.svg",
  "startZoom": 17,
  "startLat": 50.86622,
  "startLon": 4.350103,
  "hideFromOverview": false,
  "layers": [
    {
      "id": "onwheels_entrance_data",
      "passAllFeatures": true,
      "pointRendering": null,
      "title": null,
      "tagRenderings": [],
      "allowMove": false,
      "lineRendering": [
        {
          "color": "black",
          "width": 1
        }
      ],
      "shownByDefault": false,
      "name": null,
      "description": {
        "en": "All objects which have entrance data mapped on the amenity instead of the entrance object",
        "cs": "Všechny objekty, které mají data vstupu mapována na vybavení namísto objektu vstupu"
      },
      "source": {
        "osmTags": {
          "and": [
            "entrance=",
            "indoor!=door",
            "door=",
            {
              "or": [
                "entrance:width~*",
                "entrance:kerb:height~*",
                "entrance:step_count~*",
                "entrance:width~*"
              ]
            }
          ]
        }
      }
    },
    {
      "builtin": "indoors",
      "override": {
        "minzoom": 18,
        "name": null,
        "passAllFeatures": true
      }
    },
    {
      "builtin": "pedestrian_path",
      "override": {
        "name": null,
        "tagRendering": null,
        "title": "null",
        "minzoom": 18,
        "shownByDefault": false
      }
    },
    {
      "builtin": "cycleways_and_roads",
      "override": {
        "name": null,
        "shownByDefault": false
      }
    },
    {
      "builtin": "cafe_pub",
      "override": {
        "minzoom": 15,
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/cafe.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom",
            "label": null
          }
        ]
      }
    },
    {
      "builtin": "entrance",
      "override": {
        "minzoom": 16,
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "circle",
                "color": "white"
              },
              {
                "icon": "./assets/themes/onwheels/entrance.svg"
              }
            ]
          }
        ],
        "syncSelection": "theme-only"
      }
    },
    {
      "builtin": "food",
      "override": {
        "minzoom": 15,
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/restaurant.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom",
            "label": null
          }
        ]
      }
    },
    {
      "builtin": "kerbs",
      "override": {
        "minzoom": 18,
        "syncSelection": "theme-only",
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/cone.svg"
              }
            ]
          }
        ],
        "=filter": [
          {
            "id": "kerb-type",
            "options": [
              {
                "question": {
                  "en": "All types of kerbs",
                  "nl": "Alle typen stoepranden",
                  "de": "Alle Arten von Bordsteinen",
                  "fr": "Tous types de ressauts",
                  "da": "Alle typer kantsten",
                  "cs": "Všechny typy obrubníků",
                  "es": "Todos los tipos de bordillos",
                  "ca": "Tot tipus de vorals",
                  "pl": "Wszystkie rodzaje kraweżnika",
                  "ko": "모든 유형의 보도 경계석"
                }
              },
              {
                "osmTags": "kerb=raised",
                "question": {
                  "en": "Raised kerb (>3 cm)",
                  "nl": "Hoge stoeprand (>3 cm)",
                  "de": "Erhöhter Bordstein (>3 cm)",
                  "fr": "Ressaut surélevé (> 3 cm)",
                  "da": "Hævet kantsten (>3 cm)",
                  "cs": "Zvýšený obrubník (>3 cm)",
                  "es": "Bordillo elevado (>3 cm)",
                  "ca": "Voral elevat (>3 cm)",
                  "pl": "Krawężnik podniesiony (>3 cm)",
                  "ko": "높은 경계석 (3cm 이상)"
                }
              },
              {
                "osmTags": "kerb=lowered",
                "question": {
                  "en": "Lowered kerb (~3 cm)",
                  "nl": "Verlaagde stoeprand (~3 cm)",
                  "de": "Abgesenkter Bordstein (~3 cm)",
                  "fr": "Ressaut abaissé (~ 3 cm)",
                  "da": "Sænket kantsten (~3 cm)",
                  "cs": "Snížený obrubník (~3 cm)",
                  "es": "Bordillo rebajado (~3 cm)",
                  "ca": "Voral baix (~3 cm)",
                  "pl": "Krawężnik obniżony (~3 cm)",
                  "ko": "낮은 경계석 ( 3cm 미만)"
                }
              },
              {
                "osmTags": "kerb=flush",
                "question": {
                  "en": "Flush kerb (~0cm)",
                  "nl": "Vlakke stoeprand (~0cm)",
                  "de": "Bündiger Bordstein (~0cm)",
                  "fr": "Ressaut à niveau (~ 0 cm)",
                  "da": "Skyl kantsten (~0 cm)",
                  "cs": "Zapuštěný obrubník (~0 cm)",
                  "es": "Bordillo a ras (~0cm)",
                  "ca": "Voral ras (~0 cm)",
                  "pl": "Krawężnik zlicowany (~0cm)",
                  "ko": "평평한 경계석 (0cm)"
                }
              }
            ]
          }
        ]
      }
    },
    {
      "builtin": "parking",
      "override": {
        "minzoom": 15,
        "lineRendering": [
          {
            "color": "#225f92"
          }
        ],
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/parking.svg"
              }
            ],
            "anchor": "bottom",
            "=iconSize": {
              "render": "20,20",
              "mappings": [
                {
                  "if": {
                    "or": [
                      "capacity:disabled>0",
                      "capacity:disabled=yes"
                    ]
                  },
                  "then": "40,40"
                }
              ]
            }
          }
        ]
      }
    },
    {
      "builtin": "parking_spaces",
      "override": {
        "id": "parking_spaces_disabled",
        "source": {
          "osmTags": "parking_space=disabled"
        },
        "pointRendering": [
          {
            "iconSize": "40,40"
          }
        ],
        "name": {
          "en": "Disabled parking spaces",
          "de": "Barrierefreie Parkplätze",
          "nl": "Parkeerplaatsen voor personen met een beperking",
          "fr": "Places de stationnement pour personnes handicapées",
          "cs": "Parkovací místa pro osoby se zdravotním postižením",
          "es": "Plazas de estacionamiento para discapacitados",
          "ca": "Places d'aparcament per a minusvàlids",
          "pl": "Miejsca parkingowe dla niepełnosprawnych",
          "da": "Handikapparkeringspladser",
          "it": "Parcheggi per disabili",
          "ko": "장애인 전용 주차 공간"
        }
      },
      "hideTagRenderingsWithLabels": [
        "type",
        "capacity"
      ]
    },
    {
      "builtin": "shops",
      "override": {
        "minzoom": 15,
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/shop.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom",
            "label": null
          }
        ],
        "lineRendering": [
          {
            "color": "#ea4a94"
          }
        ]
      }
    },
    {
      "builtin": "toilet",
      "override": {
        "minzoom": 18,
        "syncSelection": "theme-only",
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/toilet.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom"
          }
        ]
      }
    },
    {
      "builtin": "pharmacy",
      "override": {
        "minzoom": 15,
        "shownByDefault": false,
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/pharmacy.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom",
            "label": null
          }
        ]
      }
    },
    {
      "builtin": "doctors",
      "shownByDefault": false,
      "override": {
        "minzoom": 15,
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/doctor.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom"
          }
        ]
      }
    },
    {
      "builtin": "hospital",
      "override": {
        "minzoom": 15,
        "shownByDefault": false,
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/hospital.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom"
          }
        ],
        "lineRendering": [
          {
            "color": "#dd463b"
          }
        ]
      }
    },
    {
      "builtin": "reception_desk",
      "override": {
        "minzoom": 18,
        "syncSelection": "theme-only"
      }
    },
    {
      "builtin": "walls_and_buildings",
      "override": {
        "calculatedTags+": [
          "_entrance_properties=overlapWith(feat)('entrance')?.map(e => e.feat.properties)?.filter(p => p !== undefined && p.indoor !== 'door')",
          "_entrance_properties_with_width=get(feat)('_entrance_properties')?.filter(p => p['width'] !== undefined)",
          "_entrances_count=get(feat)('_entrance_properties').length",
          "_entrances_count_without_width_count= get(feat)('_entrances_count') - get(feat)('_entrance_properties_with_width').length",
          "_biggest_width= Math.max( get(feat)('_entrance_properties').map(p => p.width))",
          "_biggest_width_properties= /* Can be a list! */ get(feat)('_entrance_properties').filter(p => p.width === get(feat)('_biggest_width'))",
          "_biggest_width_id=get(feat)('_biggest_width_properties').id",
          "_entrance_data_within=overlapWith(feat)('onwheels_entrance_data').map(f => f.properties.id)"
        ],
        "tagRenderings+": [
          {
            "id": "entrance_info",
            "render": {
              "before": {
                "en": "<h3>Entrances</h3>This building has {_entrances_count} entrances:",
                "de": "<h3>Eingänge</h3>Das Gebäude hat {_entrances_count} Eingänge:",
                "da": "<h3>Indgange</h3>Denne bygning har {_entrances_count} indgange:",
                "nl": "<h3>Ingangen</h3>Dit gebouw heeft {_entrances_count} ingangen:",
                "ca": "<h3>Entrades</h3>Aquest edifici té {_entrances_count} entrades:",
                "cs": "<h3>Vchody</h3>Tato budova má {_entrances_count} vchodů:",
                "es": "<h3>Entradas</h3>Este edificio tiene {_entrances_count} entradas:"
              },
              "after": {
                "en": "{_entrances_count_without_width_count} entrances don't have width information yet",
                "de": "{_entrances_count_without_width_count} Eingänge haben keine Angaben zur Breite",
                "da": "{_entrances_count_without_width_count} indgange har endnu ikke oplysninger om bredde",
                "nl": "{_entrances_count_without_width_count} ingangen hebben nog geen informatie over de breedte",
                "ca": "{_entrances_count_without_width_count} entrades encara no tenen informació d'amplada",
                "cs": "{_entrances_count_without_width_count} vchody zatím nemají informace o šířce",
                "es": "{_entrances_count_without_width_count} entradas aún no tienen información de ancho"
              },
              "special": {
                "type": "multi",
                "key": "_entrance_properties_with_width",
                "tagrendering": {
                  "en": "An <a href='#{id}'>entrance</a> of {canonical(width)}",
                  "de": "Ein <a href='#{id}'>Eingang</a> von {canonical(width)}",
                  "da": "En <a href='#{id}'>indgang</a> på {canonical(width)}",
                  "nl": "Een <a href='#{id}'>ingang</a> van {canonical(width)}",
                  "ca": "Una <a href='#{id}'>entrada </a> de {canonical(width)}",
                  "cs": "<a href='#{id}'>vchod</a> {canonical(width)}",
                  "es": "Una <a href='#{id}'>entrada</a> de {canonical(width)}"
                }
              }
            },
            "mappings": [
              {
                "if": "_entrances_count=0",
                "then": {
                  "en": "No entrance has been marked",
                  "de": "Es wurde kein Eingang markiert",
                  "da": "Der er ikke markeret nogen indgang",
                  "nl": "Geen ingang is gemarkeerd",
                  "ca": "No s'ha senyalitzat cap entrada",
                  "cs": "Nebyl označen žádný vchod",
                  "es": "No se ha marcado ninguna entrada"
                }
              },
              {
                "if": "_entrances_count_without_width:=_entrances_count",
                "then": {
                  "en": "None of the {_entrance_count} entrances have width information yet",
                  "de": "Keiner der {_entrance_count} Eingänge hat bisher Angaben zur Breite",
                  "da": "Ingen af {_entrance_count}-indgangene har oplysninger om bredde endnu",
                  "nl": "Geen van de {_entrance_count} ingangen hebben al informatie over de breedte",
                  "ca": "Cap de les {_entrance_count} entrades té informació d'amplada encara",
                  "cs": "Žádný z {_entrance_count} vchodů zatím nemá informace o šířce",
                  "es": "Ninguna de las {_entrance_count} entradas tiene información de ancho todavía"
                }
              }
            ]
          },
          {
            "id": "biggest_width",
            "render": "The <a href='#{_biggest_width_id}'>entrance with the biggest width</a> is {canonical(_biggest_width)} wide",
            "condition": "_biggest_width_id~*"
          }
        ],
        "units+": [
          {
            "width": {
              "quantity": "distance",
              "denominations": [
                "m",
                "cm"
              ]
            },
            "_biggest_width": {
              "quantity": "distance",
              "denominations": [
                "m",
                "cm"
              ]
            }
          }
        ]
      }
    },
    {
      "builtin": "elevator",
      "override": {
        "minzoom": 18,
        "syncSelection": "theme-only",
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "circle",
                "color": "white"
              },
              {
                "icon": "./assets/themes/onwheels/elevator.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom"
          }
        ]
      }
    },
    {
      "builtin": "tourism_accomodation",
      "override": {
        "minzoom": 15,
        "shownByDefault": false,
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/hotel.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom"
          }
        ]
      }
    },
    {
      "builtin": "governments",
      "override": {
        "minzoom": 15,
        "pointRendering": [
          {
            "=marker": [
              {
                "icon": "./assets/themes/onwheels/government.svg"
              }
            ],
            "iconSize": "40,40",
            "anchor": "bottom"
          }
        ]
      }
    },
    {
      "builtin": "current_view",
      "override": {
        "+pointRendering": [
          {
            "location": [
              "point",
              "centroid"
            ],
            "marker": [
              {
                "icon": "./assets/svg/statistics.svg"
              }
            ]
          }
        ],
        "=title": {
          "render": {
            "en": "Statistics",
            "de": "Statistik",
            "fr": "Statistiques",
            "da": "Statistikker",
            "nb_NO": "Statistikk",
            "ca": "Estadístiques",
            "pa_PK": "انکڑے",
            "nl": "Statistieken",
            "cs": "Statistiky",
            "es": "Estadísticas",
            "eu": "Estatistika",
            "pl": "Statystyki",
            "zh_Hant": "統計數據",
            "it": "Statistiche",
            "hu": "Statisztika",
            "ko": "통계"
          }
        },
        "tagRenderings+": [
          {
            "id": "stats",
            "render": "{statistics()}"
          }
        ]
      }
    }
  ],
  "overrideAll": {
    "+calculatedTags": [
      "_enclosing_building=enclosingFeatures(feat)('walls_and_buildings')?.map(f => f.feat.properties.id)?.at(0)"
    ],
    "tagRenderings+": [
      {
        "id": "_stolen_entrances",
        "condition": {
          "and": [
            "entrance=",
            "kerb=",
            "current_view!=yes",
            "door="
          ]
        },
        "render": {
          "special": {
            "type": "steal",
            "featureId": "_enclosing_building",
            "tagRenderingId": "walls_and_buildings.entrance_info; walls_and_buildings.biggest_width"
          }
        }
      }
    ]
  },
  "enableDownload": true
}
